List Events
curl --request GET \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/events \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/events"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440300",
"companyId": "550e8400-e29b-41d4-a716-446655440000",
"policyId": "550e8400-e29b-41d4-a716-446655440100",
"fieldModelV1Data": {
"eventType": "Claim",
"eventCoverageType": "Professional Liability",
"eventPolicy": "550e8400-e29b-41d4-a716-446655440100",
"lossDescription": "Water damage to building",
"lossDate": {
"date": "2025-01-10",
"timezone": "America/New_York"
}
},
"createdAt": "2025-01-15T10:30:00.000Z",
"createdBy": "google-oauth2|123456789",
"updatedAt": null,
"updatedBy": null
}
],
"totalCount": 1
}Events
List Events
Returns a paginated list of Field Model V1 events for the company.
Filtering:
type- Filter by event type (claimorincident)status- Filter by event status (openorclosed)policyId- Filter by associated policy IDfilterText- Text search across event fields
Sorting:
createdAt(default),updatedAt,referenceId
Required permission: company.event:export
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
events
List Events
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Query Parameters
Filter by event type (single or array)
Available options:
claim, incident Filter by event status (single or array)
Available options:
open, closed Filter by associated policy ID
Search across quote number, description, and other text fields
Field to sort by
Available options:
createdAt, updatedAt, referenceId Sort direction (default desc)
Available options:
asc, desc Page number (1-based, default 1, page size 50)
Required range:
x >= 1Was this page helpful?
